Subject: Re: [dnsext] draft-diao-aip-dns

From: YP Diao <[email-masked]>
Date: Fri, 22 Jun 2012 23:35:13 -0700 (PDT)

--- On Mon, 6/18/12, Fred Baker <[email-masked]> wrote:

> From: Fred Baker <[email-masked]>
> Subject: draft-diao-aip-dns
> To: [email-masked]
> Cc: [email-masked], [email-masked]
> Date: Monday, June 18, 2012, 1:31 PM
> I'm reading draft-diao-aip-dns, and
> wonder what the context is. Is this related to the BRICI
> proposal in WCIT, for support for a DNS root modeled on the
> International Calling Code structure of the telephone
> system?

I have not information about the BRICI proposal in WCIT and this is not related to it.

> My concern is for the possibility of disruption to Internet
> communications. If a country (or for that matter a business
> that simply decides to sell access to its own autonomous
> root) acts autonomously and unilaterally to add a TLD, other
> countries/services may or may not know about it, and the
> names may therefore not be usable in any context other than
> the country/service itself. If DNS resolution of names that
> are not from the country/service in question are forced to
> channel through the autonomous root, there are "interesting"
> questions of scale.

This would not affect Internet communications in traditional ways. Based on Internet practice, autonomous internet (AIP) techinology can transform the Internet into Autonomous Internet (AIP) without protocol change, using mode change, transition period.

It would be more reasonable and efficient that internal domain name resolution is no longer via the DNS outside this AIP network.

As described by AIP DNS rule 2 in Section 2.2, different AIP network default domain name suffix needs to be assigned by IANA.

> 
> 
> Comments on the paper itself:
> 
> The Introduction opens with the sentence
> 
>    Internet Domain Name System (DNS)
> distributes domain name and IP      
>    address for the host on the Internet. DNS
> automatically translates    
>    the domain name into IP address when user
> accesses Internet using     
>    domain name. 
> 
> I would dispute that. The DNS enables a client to obtain a
> resource record from a name service; the resource record
> might be for an IPv4 or IPv6 address (A/AAAA), for the name
> of one or more mail servers (MX), an encryption/signature
> key, or a variety of other types of information.
> 

Strictly, I admit!

> In section 3.2, if I understand the document correctly, the
> document proposes to use recursive DNS access between AIPs.
> I have no problem with recursive translation; it is defined
> and works now. However, it would appear that this recursive
> translation happens between AIP DNS roots, as opposed to
> happening from a DNS server closer to the original request.
> I think that is likely to have serious scaling issues.

This recursive translation would happen only in local DNS server and AIP DNS GW but not AIP DNS roots.

> 
> One general comment on sentence structure: in English, it is
> considered poor form to start a sentence with "And". For
> example
> 
>                
>              
>    And any IP node's external domain 
>    
>    name is consist of its internal domain
> name and its AIP network       
>    default domain name suffix.    
> 
> should read
> 
>                
>                
>    Any IP node's external domain 
>    
>    name consists of its internal domain name
> and its AIP network       
>    default domain name suffix. 
> 
> While the specific point is a nit, I see it frequently in
> the paper.

Thank you for detail revision! It would be helpful for its next version.

> 
> I'm not sure I understand rule 3 in section 2.2. If, for
> example, I am in a Chinese AIP and want to access
> www.example.com, but I want to get to the one that would be
> accessible from Brazil, do I access "www.example.com",
> "www.example.com.ex", www.example.com.br.ex", or something
> else? Is there any reason to believe that the resource
> record for www.example.com within the AIP is the same as the
> one for the same name in some other AIP? I worry about that,
> as much as anything, because international business and
> communication depends on a common understanding of resource
> records; if a vendor in country A wants to make a product or
> service available to a potential customer in country B (or
> for that matter in all countries), it gives one URI/URL to
> all of them and they all have access to it. If there is
> significant confusion at this level, sending for example
> requests intended for Google to Baidu, it will have a
> significant and negative effect on international business
> and communications. That not only doesn't bode well for the
> Internet as an international communication vehicle, it
> portends poor economic results for the countries that deploy
> autonomous internets.

AIP just provides more flexiblility and possibility to international business and communications. For Google or Baidu, they can apply different local URL for different country to provide differentiate services as usual(for example www.google.cn, www.google.com.hk...); or they can apply a unified URL for all countries such as www.google.com and just provide a link for different countries. 

In AIP,  The another additional possibility is to apply identical local URL for different country to provide differentiate services.  

> 
> 
> Last time China proposed this (October 2000), John Klensin
> and I flew to Beijing to discuss it with Professor Qian
> Hua-lin. He agreed that the economic importance of
> international trade far outweighed the value of having an
> autonomous naming system...
> 

I didn't have chance to disscuss this with Professor Qian Hua-lin yet. But I agree throughly that new technologies should provide more flexiblility and possibility for people equally but not limit the free and equal international communication right-it is the soul of Internet forever!

> Could you comment on the proposal, explaining in more detail
> what you have in mind, and how (a) the service remains
> scalable, and (b) the service supports the international
> objectives of business interests that use it?
> 

AIP technology is so simple as it describe in this draft. The prospect of future Internet would be more open and scalable if we can just imagine openly!

sincerely

Diao Yongping

---

From: Paul Hoffman <[email-masked]>
Date: Tue, 26 Jun 2012 16:52:36 -0700

Sorry to keep this thread alive *and* ignite the IPR bun fights at the same time, but: <https://datatracker.ietf.org/ipr/1806/>.

--Paul Hoffman

---

From: Phil Regnauld <[email-masked]>
Date: Tue, 26 Jun 2012 16:56:28 -0700

>From http://www.patentics.com/html/20419/9104.htm (through Google translate):

The present invention to achieve autonomy Internet security scalable,
and the Internet autonomous transformation, the transition is smooth
and feasible; can break the monopoly control over the Internet, has
its own root name servers to effectively safeguard national Internet
security; for the modernization of national defense, economic and
other, are very important. ?

---

From: Paul Hoffman <[email-masked]>
Date: Tue, 26 Jun 2012 17:11:12 -0700

> other, are very important. ?

Note on IPR bun fights: quoting bits of a patents, particularly the abstract and not the claims, generally does not aid the IETF process unless the topic is one which there is agreement that there should be a standards-track protocol.

--Paul Hoffman

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Fri, 29 Jun 2012 10:31:21 -0400

Those of us who have been watching the moves by Russia and China for
some time, in particular their proposals into the Dubai ITU meeting
have been expecting something of the sort for some time.

The draft in question is simply describing a capability that the
Chinese have had deployed for at least five years, albeit maybe in a
different technical form.

People have been proposing splitting from ICANN since before there was
an ICANN. And when the CEO is being paid close to a million dollars a
year and the whole operation is being driven by rent seeking, I think
many of the people behind those proposals might be seen as prescient,
if not for the fact that many of them were looking to achieve a bit of
rent seeking of their own.

CABForum is currently looking at the bad things that could happen if
.corp is allowed. It turns out that a large number of corporations
already use this internally. Now leaving aside the technical
considerations, I do not think that CABForum should have to pay
$17,000 to make a formal objection on security grounds.

Of course Russia and China are going to find plenty of other countries
to support their position when the status quo is indefensible. Their
other tactic for attracting support is to promise countries that the
ITU is going to do something about reclaiming the international
telephone calling fees that have been lost as the public telephone
system has been effectively disintermediated.

At this point a split in the DNS root is more than inevitable, it has
already taken place. I would prefer to know how the split is
implemented from a technical point of view rather than have to try to
work it out.

People can fuss over whether this is a good or a bad thing, but the
countries that are looking to censor their net to avoid criticism of
their regimes are going to be doing that with or without approval
here.

The IETF can approve the draft and have the state control faction
claim that they have IETF endorsement of their scheme or if it is
rejected they will use the rejection as 'proof' of the 'need' to
develop standards in ITU instead.

This is not an unprecedented fight either. There were/are similar
fights over MAC address assignments and over barcodes and currently
there are similar fights over RFID. The barcode system we use today
was created by the Europeans super-setting the US scheme after they
found the US organization's terms ridiculous and unacceptable.

I think that eventually we will have a flat DNS where everyone is able
to register in the root zone at the same cost as present .com domains
or at the most the cost of an EV cert and with the same level of
reliability, service etc. The whole concept of hierarchical
partitioning of the namespace was bogus from the start. RealNames had
the right concept but the wrong business model. For any scheme like
that to be viable, there has to be an open registration model.

Open up the root zone completely and many of the problems created by
domain name squatting either go away or are drastically reduced in
scope. Eventually the public delegation points outside the root would
wither away. companies will not need to get worked up about crooks
registering their name in every random TLD that is given a taxi badge
by ICANN.

-- 
Website: http://hallambaker.com/

---

From: Dmitry Burkov <[email-masked]>
Date: Fri, 29 Jun 2012 16:48:21 +0200

Don't call devil. Despite all obsolete contributions - Russian representatives never proposed to split dns root.

Sent from my iPhone

On 29.06.2012, at 16:31, Phillip Hallam-Baker <[email-masked]> wrote:

> _______________________________________________
> dnsext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsext

---

From: Jim Reid <[email-masked]>
Date: Fri, 29 Jun 2012 16:12:24 +0100

On 29 Jun 2012, at 15:31, Phillip Hallam-Baker wrote:

... lengthy religious and out of scope rant deleted ...

Please take your layer 9+ arguments elsewhere. They are not  
appropriate for this list or WG. Thanks.

Let's focus on the matter at hand. Is this draft technically sound?  
Does it have engineering merit? If so, it's due proper consideration.  
If not, it dies. It's that simple.

IMO, this draft is a remarkably bad idea and does not deserve any  
attention by the WG.

---

From: Ralph Droms <[email-masked]>
Date: Fri, 29 Jun 2012 11:18:47 -0400

On Jun 29, 2012, at 11:12 AM 6/29/12, Jim Reid wrote:

> Please take your layer 9+ arguments elsewhere. They are not appropriate for this list or WG. Thanks.
> 
> Let's focus on the matter at hand. Is this draft technically sound? Does it have engineering merit? If so, it's due proper consideration. If not, it dies. It's that simple.
> 
> IMO, this draft is a remarkably bad idea and does not deserve any attention by the WG.

Agreed that it's a bad idea.  Can you be more specific - why is it not technically sound and lacking in engineering merit?

I ask to provide support for any decision not to pursue this work in the IETF.

- Ralph

---

From: Nicholas Weaver <[email-masked]>
Date: Fri, 29 Jun 2012 08:32:20 -0700

> I ask to provide support for any decision not to pursue this work in the IETF.

It is fundamentally incompatible with DNSSEC, as DNSSEC, in practice, relies on knowing A root key.

It is fundamentally incompatible with the concept of names being global: that is, example.com is controlled by the same entity when observed anywhere in the world.

---

From: Jim Reid <[email-masked]>
Date: Fri, 29 Jun 2012 16:39:26 +0100

On 29 Jun 2012, at 16:18, Ralph Droms wrote:

> Can you be more specific - why is it not technically sound and  
> lacking in engineering merit?

Sure. The DNS uses hierarchical naming. Intrinsic to such a system is  
a unique root. It's the only way to ensure there's a universally  
consistent name space, something that's so self-evident it should not  
need further exposition. Any proposal for "multiple roots" by  
definition violate that fundamental principle. QED.

It is also unclear what requirements or operating conditions lie  
behind this draft. So unless the WG has a better understanding of the  
problem the draft intends to solve, it is not known from a technical  
or engineering perspective if the proposed approach satisfies the  
preconditions that motivated the production of this draft.

I suggest we ask the authors of this draft to come back when they have  
clarified the problem that apparently needs solving and they have  
devised a scheme which provides the innovation in the name space they  
appear to need and is consistent with RFC2826.